All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
AdcSteps Class Reference

Structure for a single ADC step configuration, containing config and delay registers context. More...

## Public Attributes

UInt32 | Confg
| Context for configuration register.
UInt32 | Delay
| Context for delay register.

## Detailed Description

Structure for a single ADC step configuration, containing config and delay registers context.

This UDT contains the configuration of a single step. Up to 16 steps can get configured for a measurement (index 1 to 16). A further step (index 0) can get configured to charge a touch screen.

Find further details in ARM Reference Guide, chapter 12.5.1.17 ff..

Definition at line 37 of file pruio_adc.bi.

The documentation for this class was generated from the following file:

- src/pruio/pruio_adc.bi